## deepin-wayland-protocols 1.10.0.30

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Aleix Pol Gonzalez <aleixpol@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.5)

project(DeepinWaylandProtocols VERSION 1.10.0)

include(FeatureSummary)
include(CMakePackageConfigHelpers)

# ECM setup
find_package(ECM 5.69.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/Modules)
include(KDEInstallDirs)
include(ECMSetupVersion)

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/DeepinWaylandProtocols")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/DeepinWaylandProtocolsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/DeepinWaylandProtocolsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              PATH_VARS KDE_INSTALL_DATADIR
                              )
ecm_setup_version(PROJECT VARIABLE_PREFIX DEEPIN_WAYLAND_PROTOCOLS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/deepin_wayland_protocols_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/DeepinWaylandProtocolsConfigVersion.cmake"
                        SOVERSION 5)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/DeepinWaylandProtocolsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/DeepinWaylandProtocolsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Aleix Pol Gonzalez <aleixpol@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

install(FILES
    protocols/appmenu.xml
    protocols/blur.xml
    protocols/client-management.xml
    protocols/contrast.xml
    protocols/dpms.xml
    protocols/dde-restrict.xml
    protocols/dde-seat.xml
    protocols/dde-security.xml
    protocols/dde-shell.xml
    protocols/fake-input.xml
    protocols/fullscreen-shell.xml
    protocols/idle.xml
    protocols/keystate.xml
    protocols/outputdevice.xml
    protocols/output-management.xml
    protocols/kde-lockscreen-overlay-v1.xml
    protocols/kde-primary-output-v1.xml
    protocols/kde-output-device-v2.xml
    protocols/kde-output-management-v2.xml
    protocols/plasma-shell.xml
    protocols/plasma-virtual-desktop.xml
    protocols/plasma-window-management.xml
    protocols/remote-access.xml
    protocols/server-decoration-palette.xml
    protocols/server-decoration.xml
    protocols/shadow.xml
    protocols/slide.xml
    protocols/strut.xml
    protocols/surface-extension.xml
    protocols/text-input-unstable-v2.xml
    protocols/text-input.xml
    protocols/wayland-eglstream-controller.xml
    protocols/wlr-data-control-unstable-v1.xml
    protocols/zkde-screencast-unstable-v1.xml
    protocols/kde-output-order-v1.xml
    protocols/dde-kvm.xml

    DESTINATION ${KDE_INSTALL_DATADIR}/deepin-wayland-protocols)

# Backward compatibility for previously used non-standard protocol file names
# TODO KF6 remove
install(FILES protocols/zkde-screencast-unstable-v1.xml RENAME screencast.xml DESTINATION ${KDE_INSTALL_DATADIR}/deepin-wayland-protocols)

## deepin-wayland-protocols 1.10.0.28-deepin28

=== debian/changelog ===
deepin-wayland-protocols (1.10.0.28-deepin28-1) unstable; urgency=medium

  [dingzhixuan]
  * fix: add dde kvm protocols.

 -- dingzhixuan <dingzhixuan@uniontech.com>  Thu, 09 May 2024 15:00:26 +0800

deepin-wayland-protocols (1.6.0-deepin.1.2) unstable; urgency=medium

  * Bug fix.
    + 146607 feat: remote-access.xml using v20

 -- Lei Su <sulei@uniontech.com>  Tue, 15 Nov 2022 10:21:01 +0800

deepin-wayland-protocols (1.6.0-deepin.1.1) unstable; urgency=medium

  * splitscreen package 8

 -- guokaka <guokaka@uniontech.com>  Mon, 15 Aug 2022 17:44:54 +0000

deepin-wayland-protocols (1.6.0-deepin.1.0) unstable; urgency=medium

  * New upstream release (1.6.0-deepin.1.0).
  * Init deepin wayland protocols

 -- jccKevin <luochaojiang@uniontech.com>  Mon, 20 Jun 2022 19:33:15 +0800

deepin-wayland-protocols (1.6.0-1) unstable; urgency=medium

  * New upstream release (1.6.0).
  * Added myself to the uploaders.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 19 Jan 2022 23:25:59 +0100

deepin-wayland-protocols (1.5.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (1.5.0).

 -- Norbert Preining <norbert@preining.info>  Sat, 06 Nov 2021 11:41:48 +0900

deepin-wayland-protocols (1.4.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Missing Build-Depens: qt5-qmake. (Closes: #998354).

 -- Norbert Preining <norbert@preining.info>  Thu, 04 Nov 2021 06:35:02 +0900

deepin-wayland-protocols (1.4.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (1.4.0).
  * Bump standards version, no changes needed.

 -- Norbert Preining <norbert@preining.info>  Sun, 05 Sep 2021 17:22:42 +0900

deepin-wayland-protocols (1.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 12:42:26 +0900

deepin-wayland-protocols (1.3.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (1.3.0).
  * Revert to previous signing key, what a mess!

 -- Norbert Preining <norbert@preining.info>  Sun, 02 May 2021 21:20:37 +0900

deepin-wayland-protocols (1.2.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (1.2.1).
  * Adjust watch file for new location.
  * Add myself to uploaders.
  * Update upstream signing key.

 -- Norbert Preining <norbert@preining.info>  Tue, 06 Apr 2021 06:51:38 +0900

deepin-wayland-protocols (1.1.1-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Pino Toscano ]
  * Release to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Oct 2020 08:06:34 +0200

deepin-wayland-protocols (1.1.1-1) experimental; urgency=medium

  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Aug 2020 20:03:01 +0200

=== debian/control ===
Source: deepin-wayland-protocols
Section: libdevel
Priority: optional
Maintainer: Debian Qt/Deepin Maintainers <luochaojiang@uniontech.com>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.69.0~),
               qt5-qmake,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gerrit.uniontech.com/admin/repos/snipe/deepin-wayland-protocols
Vcs-Browser: https://gerrit.uniontech.com/admin/repos/snipe/deepin-wayland-protocols
Vcs-Git: https://gerrit.uniontech.com/admin/repos/snipe/deepin-wayland-protocols

Package: deepin-wayland-protocols
Architecture: any
Depends: ${misc:Depends},
Description: Wayland protocols for Deepin
 This package contains protocols for Wayland that are not standard, and used
 in Deepin.

## deepin-wayland-protocols 1.10.0.30

=== debian/changelog ===
deepin-wayland-protocols (1.10.0.30-1) unstable; urgency=medium

  * fix: outputdevice.xml broken abi
  * feat: add color mode switching

 -- rewine <luhongxu@deepin.org>  Tue, 06 May 2025 17:01:13 +0800

## deepin-wayland-protocols 1.10.0.31

=== debian/changelog ===
deepin-wayland-protocols (1.10.0.31-1) unstable; urgency=medium

  * fix: wrong protocol version.

 -- rewine <luhongxu@deepin.org>  Tue, 03 Jun 2025 10:49:34 +0800

deepin-wayland-protocols (1.10.0.30) unstable; urgency=medium

  * fix: outputdevice.xml broken abi
  * feat: add color mode switching

 -- rewine <luhongxu@deepin.org>  Tue, 06 May 2025 17:01:13 +0800
